<?php

// excerpt length
function option_excerpt_length($text){
  return 25;
}

add_filter('excerpt_length', 'option_excerpt_length');

// Language files loading
function theme_init(){
	load_theme_textdomain('default', get_template_directory() . '/languages');
}
add_action ('init', 'theme_init');



if ( function_exists('register_sidebar') ) {
  register_sidebar(array(
    'before_widget' => '<li id="%1$s" class="widget %2$s">',
    'after_widget' => '</li>',
    'before_title' => '<div class="sb-title widgettitle">',
    'after_title' => '</div>',
    'name' => '1'
  ));
    register_sidebar(array(
    'before_widget' => '<li id="%1$s" class="widget %2$s">',
    'after_widget' => '</li>',
    'before_title' => '<div class="sb-title widgettitle">',
    'after_title' => '</div>',
    'name' => '2'
  ));
    register_sidebar(array(
    'before_widget' => '<li id="%1$s" class="widget %2$s">',
    'after_widget' => '</li>',
    'before_title' => '<div class="sb-title widgettitle">',
    'after_title' => '</div>',
    'name' => '3'
  ));
    register_sidebar(array(
    'before_widget' => '<li id="%1$s" class="widget %2$s">',
    'after_widget' => '</li>',
    'before_title' => '<div class="sb-title widgettitle">',
    'after_title' => '</div>',
    'name' => '4'
  ));
}

// get file content
function get_file($ad_filename) {
 if ($ad_filename != "") {
  $ad_filename = TEMPLATEPATH . '/' . $ad_filename; 
  $ad_text = "";
  $ad_file = fopen($ad_filename, "r");
  while (!feof($ad_file)) {
      $ad_text = $ad_text . fgets($ad_file, 4096);
  }
  fclose($ad_file);
  if ( $ad_text != "" ) { 
    // echo '<div class="something"><div class="somethingspecial">';
    echo $ad_text; 
    // echo '</div></div>';
  } 
 }
}

// Get ad code from file
function get_ad($ad_filename) {
    get_file($ad_filename);
}

// Get the search form
function zmtheme_get_search_form() {
    get_file("search_form.txt");
}

// http://sivel.net/2008/10/wp-27-comment-separation/
function list_pings($comment, $args, $depth) {
  $GLOBALS['comment'] = $comment;
  echo "<li id=\"comment-";
  echo comment_ID();
  echo "\" class=\"pings\">";
  echo comment_author_link();
}


// Note: Custom Admin Panel Functions

add_action('admin_menu', 'zmtheme_options');
add_action('wp_head', 'zmtheme_feed');


function zmtheme_feed() {
	$enable = get_option('zmtheme_feed_enable');
}


function zmtheme() {
	
	if(isset($_POST['submitted']) and $_POST['submitted'] == 'yes') :
		// update_option("zmtheme_sidebar_about_title", stripslashes($_POST['sidebar_about_title']));
		// update_option("zmtheme_sidebar_about_content", stripslashes($_POST['sidebar_about_content']));
		update_option("zmtheme_feed_uri", stripslashes($_POST['feed_uri']));
		// update_option("zmtheme_about_site", stripslashes($_POST['about_site']));
		// update_option("google_analytics", stripslashes($_POST['google_analytics']));
		// update_option("google_adsense_bottom", stripslashes($_POST['google_adsense_bottom']));
		// update_option("google_adsense_sidebar", stripslashes($_POST['google_adsense_sidebar']));
		
		if(isset($_POST['feed_enable']) and $_POST['feed_enable'] == 'yes') :
			update_option("zmtheme_feed_enable", "yes");
		else :
			update_option("zmtheme_feed_enable", "no");
		endif;
		
		/* if(isset($_POST['sidebar_about_title']) and $_POST['sidebar_about_title'] == '') {
			update_option("zmtheme_sidebar_about_title", "About");
		}
		
		if(isset($_POST['sidebar_about_content']) and $_POST['sidebar_about_content'] == '') {
			update_option("zmtheme_sidebar_about_content", "Change this text in the admin section of WordPress");
		}
	*/	
		echo "<div id=\"message\" class=\"updated fade\"><p><strong>Your settings have been saved.</strong></p></div>";
	endif; 
/*	
	if(get_option('zmtheme_sidebar_about_title') == '') {
		update_option("zmtheme_sidebar_about_title", "About");
	}
	
	if(get_option('zmtheme_sidebar_about_content') == '') {
		update_option("zmtheme_sidebar_about_content", "Change this text in the admin section of WordPress");
	}
*/	
	$data = array(
		'feed' => array(
			'uri' => get_option('zmtheme_feed_uri'),
			'enable' => get_option('zmtheme_feed_enable')
		),
		'sidebar' => array(
			'about_title' => get_option('zmtheme_sidebar_about_title'),
			'about_content' => get_option('zmtheme_sidebar_about_content')
		),
		'aside' => get_option('zmtheme_aside_cat'),
		'about' => get_option('zmtheme_about_site')
	);
?>

<!-- ZM Theme settings -->
<div class="wrap">	
	<h2>ZM Theme Settings</h2>

<div class="settings_container" style="width: 100%; margin-right: -200px; float: left;">
	<div style="margin-right: 200px;">
	<form method="post" name="update_form" target="_self">


    <h3 id="zmtheme_sidebar">Sidebar</h3>

    <h3 id="zmtheme_feedburner">Feedburner</h3>
		<p>Feedburner information</p>
		<table class="form-table">
			<tr>
				<th>
					Feed URI:
				</th>
				<td>
					http://feeds.feedburner.com/<input type="text" name="feed_uri" value="<?php echo $data['feed']['uri']; ?>" size="30" />
          <br />Check to enable feedburner <input type="checkbox" name="feed_enable" <?php echo ($data['feed']['enable'] == 'yes' ? 'checked="checked"' : ''); ?> value="yes" /> 
				</td>
			</tr>
		</table>	
		<br />
		
   <p class="submit" id="jump_submit">
			<input name="submitted" type="hidden" value="yes" />
			<input type="submit" name="Submit" value="Save Changes" />
		</p>
	</form>
	<br /><br /><br /><br />
	
	<h2>About ZM Theme</h2>
	
	<h3 id="zmtheme_about_doc">About your new theme</h3>
	<p>Thank you for using the ZM Theme theme, a free wordpress theme designed by <a href="http://fclose.com/zma/">Zhiqiang Ma</a>.</p>
  <p>ZM Theme is a <strong>simple &amp; elegant light-weight</strong> theme for Wordpress with a <strong>clean typography</strong>, built with <strong>seo and page-rendering optimizations</strong> in mind. ZM Theme has been rebuild from scratch and supports Wordpress 2.9 and up.</p>
	<p>If you need any support or want some tips, please visit <a href="http://fclose.com/b/web/1333/wordpress-theme-zm-theme/">ZM Theme project page</a></p>

	<h3 id="zmtheme_licence_doc">Licence</h3>
	<p>
	Released under the <a target="_blank" href="http://www.gnu.org/licenses/gpl.html">GPL License</a> (<a target="_blank" href="http://en.wikipedia.org/wiki/GNU_General_Public_License">What is the GPL</a>?)
  </p>
	<p>
  Free to download, free to use, free to customize. Basically you can do whatever you want as long as you credit me with a link.
	</p>
	
	</div>
	</div>
	
</div>
<?php
}

function zmtheme_options() { // Adds to menu
	add_menu_page('zmtheme Settings', __('ZM Theme Settings', 'default'), 'edit_themes', __FILE__, 'zmtheme');
}


/*
   Please leave the credits. Thanks!
 */
function zmtheme_footer() { ?>

<div id="footer" class="clearfix">
<p class="alignright">
  <a href="#home" class="top-link"><?php _e('Back to Top', 'default'); ?></a>
</p>

<p>
	Copyright &copy; <?php echo date("Y"); ?> <a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a> 
    &middot; All rights reserved 
    &middot; <a href="http://fclose.com/b/web/1333/wordpress-theme-zm-theme/">ZM Theme</a> designed by <a href="http://fclose.com/zma/" >Zhiqiang Ma</a>
    &middot; Powered by <a href="http://wordpress.org">WordPress</a>
    &middot; Valid <a href="http://validator.w3.org/check?uri=referer" title="This page validates as XHTML 1.0 Transitional" rel="nofollow">XHTML</a> and <a href="http://jigsaw.w3.org/css-validator/check/referer?profile=css3" rel="nofollow">CSS 3</a>
</p>
</div>

<?php
}
  
  add_action('wp_footer', 'zmtheme_footer');

?>
